summarylogtreecommitdiffstats
path: root/thorium-reader.sh
diff options
context:
space:
mode:
Diffstat (limited to 'thorium-reader.sh')
-rw-r--r--thorium-reader.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/thorium-reader.sh b/thorium-reader.sh
index 61a96a68b0ef..2ec4412e5c4f 100644
--- a/thorium-reader.sh
+++ b/thorium-reader.sh
@@ -1,10 +1,14 @@
#!/bin/bash
-_ELECTRON=/usr/bin/electron25
-APPDIR="/usr/lib/thorium-reader"
-export PATH="${APPDIR}:${PATH}"
-_ASAR="${APPDIR}/app.asar"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file